{
  "model": {
    "type": "minecraft:select",
    "property": "minecraft:custom_model_data",
    "fallback": {
      "type": "minecraft:model",
      "model": "minecraft:item/book"
    },
    "index": 0,
    "cases": [
      {
        "when": "album",
        "model": {
          "type": "minecraft:model",
          "model": "tradingcards:item/album"
        }
      },
      {
        "when": "pack",
        "model": {
          "type": "minecraft:select",
          "property": "minecraft:custom_model_data",
          "fallback": {
            "type": "minecraft:model",
            "model": "tradingcards:item/pack"
          },
          "index": 1,
          "cases": [
            {
              "when": "starter",
              "model": {
                "type": "model",
                "model": "tradingcards:item/pack/starter"
              }
            },
            {
              "when": "booster",
              "model": {
                "type": "model",
                "model": "tradingcards:item/pack/booster"
              }
            }
          ]
        }
      },
      {
        "when": "box",
        "model": {
          "type": "minecraft:select",
          "property": "minecraft:custom_model_data",
          "fallback": {
            "type": "minecraft:model",
            "model": "tradingcards:item/box"
          },
          "index": 1,
          "cases": [
            {
              "when": "supporter",
              "model": {
                "type": "model",
                "model": "tradingcards:item/box/supporter"
              }
            }
          ]
        }
      }
    ]
  }
}